
p, button, h2, label, li {
    font-family: ui-sans-serif, system-ui, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    margin: 0;
}


:root {
    --main-text-color: #1F2937;
    --secondary-text-color: #6B7280;

    --icon-green-color: oklch(72.3% .219 149.579);
    --icon-orange-color: oklch(79.5% .184 86.047);
    --icon-blue-color: oklch(62.3% .214 259.815);
    --icon-purple-color: oklch(62.7% .265 303.9);
    --icon-indigo-color: oklch(58.5% .233 277.117);
    --icon-pink-color: oklch(65.6% .241 354.308);

    --icon-bgc-gray: #f1f5f9;
    --btn-border-gray: #e5e7eb;

    --widget-bgcolor-green: oklch(98.2% .018 155.826);
    --widget-text-green: oklch(52.7% .154 150.069);
    --widget-border-green: oklch(92.5% .084 155.995);

    --widget-bgcolor-red: oklch(97.1% .013 17.38);
    --widget-text-red: oklch(50.5% .213 27.518);
    --widget-border-red: oklch(88.5% .062 18.334);

    --widget-bgcolor-gray: oklch(98.5% .002 247.839);
    --widget-text-gray: oklch(37.3% .034 259.733);
    --widget-border-gray: oklch(92.8% .006 264.531);

    --widget-bgcolor-blue: oklch(97% .014 254.604);
    --widget-text-blue: oklch(48.8% .243 264.376);
    --widget-border-blue: oklch(88.2% .059 254.128);

    --widget-bgcolor-purple: oklch(97.7% .014 308.299);
    --widget-text-purple: oklch(49.6% .265 301.924);
    --widget-border-purple: oklch(90.2% .063 306.703);

    --widget-bgcolor-orange: oklch(98.7% .026 102.212);
    --widget-text-orange: oklch(47.6% .114 61.907);
    --widget-border-orange: oklch(94.5% .129 101.54);

    --widget-bgcolor-black: #1F2937;
    --widget-text-black: #fff;
    --widget-border-black: #1F2937;

    --widget-padding-value: 2px 8px;
    --widget-border-radius-value: 6px;
    --widget-font-size-value: 12px;
    --widget-font-weight-value: 600;

}


.billing {
    padding: 0 24px;

    .billing__current-plan-info-container {
        display: flex;
        flex-direction: column;
        justify-content: space-between;

        gap: 24px;

        padding: 24px;
        background-color: #fff;
        border-radius: 12px;
        box-shadow: 0 0 2px 1px rgba(0, 0, 0, 0.2);



        margin-bottom: 24px;

        .billing__current-plan-info {
            display: flex;
            justify-content: space-between;
            align-items: center;

            .billing__current-plan-container {

                .billing__current-plan {
                    display: flex;
                    align-items: center;
                    gap: 6px;

                    font-size: 16px;
                    font-weight: 600;
                    color: var(--secondary-text-color);

                    i {
                        color: var(--icon-orange-color);
                        font-size: 18px;
                    }
                }

                .billing__current-plan-price {
                    font-size: 14px;
                    color: var(--secondary-text-color);
                }
            }

            .billing__current-plan-next-payment-container {

                .billing__current-plan-next-payment-main-text {
                    font-size: 14px;
                    color: var(--secondary-text-color);
                }

                .billing__current-plan-next-payment-date-text {
                    font-size: 16px;
                    font-weight: 600;
                }
            }
        }

        .billing__current-plan-detailed-info-container {
            display: grid;
            gap: 1rem;

            .billing__current-plan-detailed-info-item {
                display: flex;
                flex-direction: column;
                gap: 8px;
                width: 100%;

                .billing__current-plan-detailed-info {
                    display: flex;
                    justify-content: space-between;

                    .billing__current-plan-detailed-info-main-text {
                        font-size: 14px;
                        color: var(--secondary-text-color);
                    }

                    .billing__current-plan-detailed-info-secondary-text {
                        font-size: 14px;
                        color: var(--secondary-text-color);
                    }
                }

                .billing__current-plan-detailed-info-bar-container {
                    width: 100%;
                    height: 12px;
                    background-color: #d3d6da;
                    border-radius: 6px;
                    overflow: hidden;

                    .billing__current-plan__progress-fill {
                        height: 100%;
                        width: 60%; /* тут буде ширина у % */
                        background-color: #1a2530; /* темно-синій */
                        border-radius: 6px 0 0 6px;
                        transition: width 0.4s ease;
                    }
                }
            }
        }

    }

    .billing__usage-container{
        display: flex;
        flex-direction: column;
        gap: 24px;

        margin-bottom: 24px;

        padding: 24px;
        background-color: #fff;
        border-radius: 12px;
        box-shadow: 0 0 2px 1px rgba(0, 0, 0, 0.2);
        .billing__usage-main-text{
            display: flex;
            align-items: center;
            gap: 10px;
            p {
                font-size: 16px;
                font-weight: 600;
                color: var(--secondary-text-color);
            }
            i {
                font-size: 20px;
            }
        }

        .billing__usage-data-container{

            display: flex;
            align-items: center;
            gap: 8px;
            padding: 12px;
            border-radius: 8px;

            i {
                font-size: 18px;
            }

            .billing__usage-data-info-container{

                .billing__usage-data-main-info-text{
                    font-size: 14px;
                    font-weight: 600;
                }

                .billing__usage-data-secondary-info-text{
                    font-size: 12px;
                }
            }
        }

    }

    .billing__control-btns-container{
        display: flex;
        justify-content: space-between;
        background-color: #f1f5f9;
        border-radius: 8px;
        padding: 3px;
        gap: 0.5rem;
        margin-bottom: 24px;

        button {
            display: flex;
            justify-content: center;
            align-items: center;
            gap: 5px;

            width: 100%;
            background-color: transparent;
            border: none;
            border-radius: 5px;
            padding: 5px 4px;
            cursor: pointer;
            transition: background-color 0.3s;
            font-size: 14px;
            font-weight: 500;
            line-height: 1px;

            i {
                font-size: 18px;
            }
        }

        button:hover {
            background-color: oklch(98.5% .002 247.839);
        }

        .control-btn-active {
            background-color: #fff;
        }
    }

    .billing__tabs-main-container{

        .billing__tariffs-tab{
            gap: 1rem;

            .billing__tariff-container{
                position: relative;
                display: flex;
                flex-direction: column;
                justify-content: space-between;

                padding: 24px;
                background-color: #fff;
                border-radius: 12px;
                box-shadow: 0 0 2px 1px rgba(0, 0, 0, 0.2);
                height: 385px;

                .billing__tariff-title{

                    display: flex;
                    flex-direction: column;
                    gap: 4px;

                    .billing__tariff-title-main-text{
                        font-size: 20px;
                        font-weight: 600;
                        color: var(--secondary-text-color);
                    }

                    .billing__tariff-title-secondary-text{
                        font-size: 30px;
                        font-weight: 700;
                        color: var(--secondary-text-color);
                        span {
                            font-size: 18px;
                            color: var(--secondary-text-color);
                        }
                    }
                }

                .billing__tariff-description{

                    ul {
                        list-style: none;
                        padding-left: 0;
                        li {
                            font-size: 14px;
                            color: var(--secondary-text-color);
                            i {
                                font-size: 18px;
                                color: var(--icon-green-color);
                            }
                        }
                    }
                }

                .billing__tariff-btn-container{

                    button {
                        background-color: var(--main-text-color);
                        color: #fff;
                        border: none;
                        width: 100%;
                        font-size: 14px;
                        font-weight: 600;
                        padding: 8px 16px;
                        border-radius: 6px;
                        cursor: pointer;
                        transition: background-color 0.3s;
                    }

                    button:hover {
                        background-color: var(--secondary-text-color);
                    }
                }

                .billing__popular-tariff-container{
                    position: absolute;
                    top: -12px;
                    left: 50%;
                    transform: translateX(-50%);
                }
                .billing__current-tariff-container{
                    position: absolute;
                    top: -12px;
                    left: 80%;
                    transform: translateX(-50%);
                }
            }

            .billing__popular-tariff-style{
                border: 1px solid var(--main-text-color);
                box-shadow: unset;
            }

        }

        .billing__payment-tab{
            flex-direction: column;
            gap: 24px;

            padding: 24px;
            background-color: #fff;
            border-radius: 12px;
            box-shadow: 0 0 2px 1px rgba(0, 0, 0, 0.2);

            .billing__payment-title-container{
                display: flex;
                justify-content: space-between;
                align-items: center;

                p {
                    font-size: 16px;
                    font-weight: 600;
                    color: var(--secondary-text-color);
                }

                button {
                    display: flex;
                    align-items: center;
                    gap: 5px;

                    background-color: var(--main-text-color);
                    color: #fff;
                    border: none;
                    font-size: 14px;
                    padding: 8px 16px;
                    border-radius: 6px;
                    cursor: pointer;
                    transition: background-color 0.3s;
                }

                button:hover {
                    background-color: var(--secondary-text-color);
                }
            }

            .billing__payment-variants-container{
                display: flex;
                flex-direction: column;
                gap: 16px;
                .billing__payment-variant{
                    display: flex;
                    justify-content: space-between;

                    padding: 24px;
                    background-color: #fff;
                    border-radius: 12px;
                    box-shadow: 0 0 2px 1px rgba(0, 0, 0, 0.2);

                    .billing__credit-card-info{
                        display: flex;
                        align-items: center;
                        gap: 16px;

                        i {
                            font-size: 20px;
                            background-color: var(--icon-bgc-gray);
                            color: var(--secondary-text-color);
                            border-radius: 8px;
                            padding: 8px;
                        }

                        .billing__credit-card-info-text{

                            .billing__card-name{
                                font-size: 16px;
                                font-weight: 600;
                                color: var(--secondary-text-color);
                            }

                            .billing__card-expire-date{
                                font-size: 14px;
                                color: var(--secondary-text-color);
                            }
                        }
                    }

                    .billing__credit-card-btns{
                        display: flex;
                        align-items: center;
                        gap: 10px;

                        p {}

                        button{
                            font-size: 20px;
                            background: none;
                            border: none;
                            border-radius: 8px;
                            padding: 5px 10px;
                            cursor: pointer;
                            color: var(--secondary-text-color);
                            transition: background-color 0.3s, color 0.3s;
                        }

                        button:hover {
                            background-color: var(--icon-blue-color);
                            color: #ffffff;
                        }
                    }
                }
            }

            .billing__add-payment-modal {
                all: unset;

                border: none;
                padding: 0;
                background-color: #00000038;

                position: fixed;
                inset: 0;
                display: flex;
                justify-content: center;
                align-items: center;

                margin: 0 auto !important;


                user-select: text;
                box-shadow: 0 0 0 100vmax #00000038;

                width: 100%;
                max-width: 512px;

                opacity: 0;
                visibility: hidden;
                transition: opacity 0.3s ease, visibility 0.3s ease;

                .billing__add-payment-modal-inner-container {
                    padding: 24px;
                    border-radius: 8px;
                    background-color: #fff;

                    width: 100%;
                    max-width: 512px;

                    position: relative;

                    transform: scale(0.8);
                    opacity: 0;
                    transition: transform 0.3s ease, opacity 0.3s ease;

                    .connections__close-btn {
                        position: absolute;
                        top: 8px;
                        right: 8px;
                        background: transparent;
                        border: none;
                        font-size: 20px;
                        cursor: pointer;
                        color: #333;
                    }

                    .billing__add-payment-form{

                        .billing__add-payment-modal-text-container{
                            display: flex;
                            flex-direction: column;
                            gap: 8px;
                            margin-bottom: 16px;

                            .billing__add-payment-modal-main-text{
                                font-size: 18px;
                                font-weight: 600;
                                color: var(--main-text-color);
                            }

                            .billing__add-payment-modal-secondary-text{
                                font-size: 14px;
                                color: var(--secondary-text-color);
                            }
                        }

                        .billing__add-payment-modal-card-number-container{
                            display: flex;
                            flex-direction: column;
                            margin-bottom: 16px;
                            label {
                                font-size: 14px;
                                font-weight: 600;
                                color: var(--main-text-color);
                            }

                            input {
                                padding: 12px;
                                font-size: 13px;

                                border: 1px solid #f1f5f9;
                                border-radius: 7px;

                                box-shadow: 0 2px 5px -3px rgba(0, 0, 0, 0.2);
                            }
                        }

                        .billing__add-payment-modal-card-secondary-info-container{
                            display: flex;
                            justify-content: space-between;
                            margin-bottom: 16px;
                            gap: 16px;

                            .billing__add-payment-modal-card-secondary-info--inner-container{
                                display: flex;
                                flex-direction: column;
                                width: 100%;
                                label {
                                    font-size: 14px;
                                    font-weight: 600;
                                    color: var(--main-text-color);
                                }

                                input {
                                    padding: 12px;
                                    font-size: 13px;

                                    border: 1px solid #f1f5f9;
                                    border-radius: 7px;

                                    box-shadow: 0 2px 5px -3px rgba(0, 0, 0, 0.2);
                                }
                            }
                        }

                        .billing__add-payment-modal-btn-container{
                            button {
                                background-color: var(--main-text-color);
                                color: #fff;
                                border: none;
                                width: 100%;
                                font-size: 14px;
                                font-weight: 600;
                                padding: 8px 16px;
                                border-radius: 6px;
                                cursor: pointer;
                                transition: background-color 0.3s;
                            }

                            button:hover {
                                background-color: var(--secondary-text-color);
                            }
                        }

                    }



                }

            }

            .billing__add-payment-modal[open] {
                opacity: 1;
                visibility: visible;

                .billing__add-payment-modal-inner-container {
                    transform: scale(1);
                    opacity: 1;
                }
            }
        }

        .billing__history-tab{

            padding: 24px;
            background-color: #fff;
            border-radius: 12px;
            box-shadow: 0 0 2px 1px rgba(0, 0, 0, 0.2);

            .billing__history-title-container{
                margin-bottom: 24px;

                p {
                    font-size: 16px;
                    font-weight: 600;
                    color: var(--secondary-text-color);
                }
            }

            .billing__payments-history-container{
                display: flex;
                flex-direction: column;
                gap: 16px;

                .billing__payment-history-element{
                    display: flex;
                    align-items: center;
                    justify-content: space-between;

                    padding: 24px;
                    background-color: #fff;
                    border-radius: 12px;
                    box-shadow: 0 0 2px 1px rgba(0, 0, 0, 0.2);

                    .billing__payment-history-element-info{
                        display: flex;
                        align-items: center;
                        gap: 16px;

                        i{
                            font-size: 20px;
                            background-color: var(--icon-bgc-gray);
                            color: var(--secondary-text-color);
                            border-radius: 8px;
                            padding: 8px;
                        }

                        .billing__payment-history-element-info-text-container{

                            .billing__payment-history-element-info-main-text{
                                font-size: 16px;
                                font-weight: 600;
                                color: var(--secondary-text-color);
                            }

                            .billing__payment-history-element-info-secondary-text{
                                font-size: 14px;
                                color: var(--secondary-text-color);
                            }
                        }
                    }

                    .billing__payment-history-element-payment-status-container{
                        display: flex;
                        align-items: center;
                        gap: 16px;

                        .billing__payment-history-element-payment-status{
                            display: flex;
                            flex-direction: column;
                            align-items: flex-end;
                            gap: 5px;
                            .billing__payment-history-element-payment-status-price{
                                font-size: 16px;
                                font-weight: 600;
                                color: var(--secondary-text-color);
                            }
                        }

                        button {
                            font-size: 20px;
                            background: none;
                            border: none;
                            border-radius: 8px;
                            padding: 5px 10px;
                            cursor: pointer;
                            color: var(--secondary-text-color);
                            transition: background-color 0.3s, color 0.3s;
                        }

                        button:hover {
                            background-color: var(--icon-blue-color);
                            color: #ffffff;
                        }
                    }
                }
            }
        }

    }
    .billing__tabs-main-container > div {
        display: none;
    }




    @media (min-width: 768px) {
        .billing__current-plan-detailed-info-container {
            grid-template-columns: repeat(2, minmax(0, 1fr));
        }
        .billing__tariffs-tab{
            grid-template-columns: repeat(3, 1fr);
        }
    }

    @media (min-width: 1024px) {
        .billing__current-plan-detailed-info-container {
            grid-template-columns: repeat(4, minmax(0, 1fr));
        }
    }



    .green-bgc {
        background-color: var(--icon-green-color);
    }

    .blue-bgc {
        background-color: var(--icon-blue-color);
    }

    .orange-bgc {
        background-color: var(--icon-orange-color);
    }

    .purple-bgc {
        background-color: var(--icon-purple-color);
    }

    .indigo-bgc {
        background-color: var(--icon-indigo-color);
    }

    .pink-bgc {
        background-color: var(--icon-pink-color);
    }

    .green-text {
        color: var(--icon-green-color);
    }

    .blue-text {
        color: var(--icon-blue-color);
    }

    .orange-text {
        color: var(--icon-orange-color);
    }

    .purple-text {
        color: var(--icon-purple-color);
    }

    .indigo-text {
        color: var(--icon-indigo-color);
    }

    .pink-text {
        color: var(--icon-pink-color);
    }

    .gray-text {
        color: var(--secondary-text-color);
    }

    .red-text {
        color: var(--widget-text-red);
    }

    .green-widget-style {
        color: var(--widget-text-green);
        background-color: var(--widget-bgcolor-green);
        border: 1px solid var(--widget-border-green);
        padding: var(--widget-padding-value);
        border-radius: var(--widget-border-radius-value);
        font-size: var(--widget-font-size-value);
        font-weight: var(--widget-font-weight-value);
    }

    .red-widget-style {
        color: var(--widget-text-red);
        background-color: var(--widget-bgcolor-red);
        border: 1px solid var(--widget-border-red);
        padding: var(--widget-padding-value);
        border-radius: var(--widget-border-radius-value);
        font-size: var(--widget-font-size-value);
        font-weight: var(--widget-font-weight-value);
    }

    .gray-widget-style {
        color: var(--widget-text-gray);
        background-color: var(--widget-bgcolor-gray);
        border: 1px solid var(--widget-border-gray);
        padding: var(--widget-padding-value);
        border-radius: var(--widget-border-radius-value);
        font-size: var(--widget-font-size-value);
        font-weight: var(--widget-font-weight-value);
    }

    .blue-widget-style {
        color: var(--widget-text-blue);
        background-color: var(--widget-bgcolor-blue);
        border: 1px solid var(--widget-border-blue);
        padding: var(--widget-padding-value);
        border-radius: var(--widget-border-radius-value);
        font-size: var(--widget-font-size-value);
        font-weight: var(--widget-font-weight-value);
    }

    .purple-widget-style {
        color: var(--widget-text-purple);
        background-color: var(--widget-bgcolor-purple);
        border: 1px solid var(--widget-border-purple);
        padding: var(--widget-padding-value);
        border-radius: var(--widget-border-radius-value);
        font-size: var(--widget-font-size-value);
        font-weight: var(--widget-font-weight-value);
    }

    .orange-widget-style {
        color: var(--widget-text-orange);
        background-color: var(--widget-bgcolor-orange);
        border: 1px solid var(--widget-border-orange);
        padding: var(--widget-padding-value);
        border-radius: var(--widget-border-radius-value);
        font-size: var(--widget-font-size-value);
        font-weight: var(--widget-font-weight-value);
    }

    .black-widget-style {
        color: var(--widget-text-black);
        background-color: var(--widget-bgcolor-black);
        border: 1px solid var(--widget-border-black);
        padding: var(--widget-padding-value);
        border-radius: var(--widget-border-radius-value);
        font-size: var(--widget-font-size-value);
        font-weight: var(--widget-font-weight-value);
    }


}